package b4a.rem_b4a_slim;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.rem_b4a_slim", "b4a.rem_b4a_slim.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.rem_b4a_slim", "b4a.rem_b4a_slim.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.rem_b4a_slim.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbl1 = null;
public static String[] _mlist = null;
public static String[] _li = null;
public anywheresoftware.b4a.objects.LabelWrapper _labelio = null;
public anywheresoftware.b4a.objects.LabelWrapper _cholab = null;
public anywheresoftware.b4a.objects.LabelWrapper _labase = null;
public anywheresoftware.b4a.objects.LabelWrapper _labmen = null;
public anywheresoftware.b4a.objects.LabelWrapper _labshow = null;
public anywheresoftware.b4a.objects.PanelWrapper _panmen = null;
public uk.co.martinpearman.b4a.webviewextras.WebViewExtras _wvx = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview1 = null;
public static int _h = 0;
public static boolean _vm = false;
public static int[] _no = null;
public static int _x = 0;
public static int _y = 0;
public static int _meno = 0;
public static int _t = 0;
public static int _ky = 0;
public static int _k = 0;
public static int _d = 0;
public static String _lg = "";
public static String _lista = "";
public static String _nlist = "";
public static String _listm = "";
public static String _listp = "";
public static int _tx = 0;
public static int _ll = 0;
public static int _kx = 0;
public static int _ko = 0;
public static int _qq = 0;
public static int _bv = 0;
public static int _ln = 0;
public static int _mn = 0;
public static int _n = 0;
public static int _m = 0;
public static int _mm = 0;
public static String _s = "";
public static String _listn = "";
public Object _ch = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 54;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 57;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 //BA.debugLineNum = 59;BA.debugLine="Mlist(0) = \"A-B-C-D,E-F-G-H,I-J-K-L,M-N-O-P,Q-R-S-T,U-V-W-X,Y-Z-Note,Library,All B4a,\"";
mostCurrent._mlist[(int) (0)] = "A-B-C-D,E-F-G-H,I-J-K-L,M-N-O-P,Q-R-S-T,U-V-W-X,Y-Z-Note,Library,All B4a,";
 //BA.debugLineNum = 60;BA.debugLine="Mlist(1) = \"Activity,AutoC.EditText,Button,CheckBox,        Cancel,\"";
mostCurrent._mlist[(int) (1)] = "Activity,AutoC.EditText,Button,CheckBox,        Cancel,";
 //BA.debugLineNum = 61;BA.debugLine="Mlist(2) = \"EditText,Horiz.ScrollView,        Cancel,\"";
mostCurrent._mlist[(int) (2)] = "EditText,Horiz.ScrollView,        Cancel,";
 //BA.debugLineNum = 62;BA.debugLine="Mlist(3) = \"ImageView,Label,ListView,        Cancel,\"";
mostCurrent._mlist[(int) (3)] = "ImageView,Label,ListView,        Cancel,";
 //BA.debugLineNum = 63;BA.debugLine="Mlist(4) = \"Panel,ProgressBar,        Cancel,\"";
mostCurrent._mlist[(int) (4)] = "Panel,ProgressBar,        Cancel,";
 //BA.debugLineNum = 64;BA.debugLine="Mlist(5) = \"RadioButton,ScrollView,SeekBar,Spinner,TabHost,ToggleButton,        Cancel,\"";
mostCurrent._mlist[(int) (5)] = "RadioButton,ScrollView,SeekBar,Spinner,TabHost,ToggleButton,        Cancel,";
 //BA.debugLineNum = 65;BA.debugLine="Mlist(6) = \"View,WebView,        Cancel,\"";
mostCurrent._mlist[(int) (6)] = "View,WebView,        Cancel,";
 //BA.debugLineNum = 66;BA.debugLine="Mlist(7) = \"Note,        Cancel,\"";
mostCurrent._mlist[(int) (7)] = "Note,        Cancel,";
 //BA.debugLineNum = 67;BA.debugLine="Mlist(8) = \"All Libraries,        Cancel,\"";
mostCurrent._mlist[(int) (8)] = "All Libraries,        Cancel,";
 //BA.debugLineNum = 68;BA.debugLine="Mlist(9) = \"All about B4A,        Cancel,\"";
mostCurrent._mlist[(int) (9)] = "All about B4A,        Cancel,";
 //BA.debugLineNum = 70;BA.debugLine="For h = 1 To Mlist(0).Length      '(to calculate number Menu activable)";
{
final int step40 = 1;
final int limit40 = mostCurrent._mlist[(int) (0)].length();
for (_h = (int) (1); (step40 > 0 && _h <= limit40) || (step40 < 0 && _h >= limit40); _h = ((int)(0 + _h + step40))) {
 //BA.debugLineNum = 71;BA.debugLine="If Mlist(0).CharAt(h-1) = \",\" Then Mn = Mn + 1";
if (mostCurrent._mlist[(int) (0)].charAt((int) (_h-1))==BA.ObjectToChar(",")) { 
_mn = (int) (_mn+1);};
 }
};
 //BA.debugLineNum = 73;BA.debugLine="MeNo = Mn";
_meno = _mn;
 //BA.debugLineNum = 75;BA.debugLine="For n = 1 To 9";
{
final int step44 = 1;
final int limit44 = (int) (9);
for (_n = (int) (1); (step44 > 0 && _n <= limit44) || (step44 < 0 && _n >= limit44); _n = ((int)(0 + _n + step44))) {
 //BA.debugLineNum = 76;BA.debugLine="For h = 1 To Mlist(n).Length                   '(to calculate number of items of the text \"Dati\")";
{
final int step45 = 1;
final int limit45 = mostCurrent._mlist[_n].length();
for (_h = (int) (1); (step45 > 0 && _h <= limit45) || (step45 < 0 && _h >= limit45); _h = ((int)(0 + _h + step45))) {
 //BA.debugLineNum = 77;BA.debugLine="If Mlist(n).CharAt(h-1) = \",\" Then No(n) = No(n) + 1";
if (mostCurrent._mlist[_n].charAt((int) (_h-1))==BA.ObjectToChar(",")) { 
_no[_n] = (int) (_no[_n]+1);};
 }
};
 }
};
 //BA.debugLineNum = 80;BA.debugLine="D = 2*Lbl1.Height";
_d = (int) (2*mostCurrent._lbl1.getHeight());
 //BA.debugLineNum = 81;BA.debugLine="VM = False";
_vm = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 82;BA.debugLine="CreaBase";
_creabase();
 //BA.debugLineNum = 83;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 89;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 91;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 85;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 87;BA.debugLine="End Sub";
return "";
}
public static String  _cholab_click() throws Exception{
anywheresoftware.b4a.objects.WebViewWrapper _w2 = null;
 //BA.debugLineNum = 239;BA.debugLine="Sub ChoLab_Click";
 //BA.debugLineNum = 240;BA.debugLine="qq = Activity.NumberOfViews : LN = qq-1";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 240;BA.debugLine="qq = Activity.NumberOfViews : LN = qq-1";
_ln = (int) (_qq-1);
 //BA.debugLineNum = 241;BA.debugLine="Dim W2 As WebView";
_w2 = new anywheresoftware.b4a.objects.WebViewWrapper();
 //BA.debugLineNum = 242;BA.debugLine="W2.Initialize(\"WebView\")";
_w2.Initialize(mostCurrent.activityBA,"WebView");
 //BA.debugLineNum = 243;BA.debugLine="WVx.clearCache(W2,True)";
mostCurrent._wvx.clearCache((android.webkit.WebView)(_w2.getObject()),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 244;BA.debugLine="W2.StopLoading";
_w2.StopLoading();
 //BA.debugLineNum = 245;BA.debugLine="ClearList";
_clearlist();
 //BA.debugLineNum = 246;BA.debugLine="VM = False";
_vm = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 247;BA.debugLine="Lbl1.Text = \"\"";
mostCurrent._lbl1.setText((Object)(""));
 //BA.debugLineNum = 248;BA.debugLine="End Sub";
return "";
}
public static String  _clearlist() throws Exception{
 //BA.debugLineNum = 250;BA.debugLine="Sub ClearList";
 //BA.debugLineNum = 251;BA.debugLine="qq = Activity.NumberOfViews : LN = qq-1";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 251;BA.debugLine="qq = Activity.NumberOfViews : LN = qq-1";
_ln = (int) (_qq-1);
 //BA.debugLineNum = 252;BA.debugLine="For m = LN To BV Step -1";
{
final int step222 = (int) (-1);
final int limit222 = _bv;
for (_m = _ln; (step222 > 0 && _m <= limit222) || (step222 < 0 && _m >= limit222); _m = ((int)(0 + _m + step222))) {
 //BA.debugLineNum = 253;BA.debugLine="Activity.RemoveViewAt(m)";
mostCurrent._activity.RemoveViewAt(_m);
 }
};
 //BA.debugLineNum = 255;BA.debugLine="End Sub";
return "";
}
public static String  _creabase() throws Exception{
int _z = 0;
anywheresoftware.b4a.objects.LabelWrapper _base = null;
 //BA.debugLineNum = 93;BA.debugLine="Sub CreaBase";
 //BA.debugLineNum = 94;BA.debugLine="For z = 1 To 2";
{
final int step58 = 1;
final int limit58 = (int) (2);
for (_z = (int) (1); (step58 > 0 && _z <= limit58) || (step58 < 0 && _z >= limit58); _z = ((int)(0 + _z + step58))) {
 //BA.debugLineNum = 95;BA.debugLine="Dim Base As Label";
_base = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 96;BA.debugLine="Base.Initialize(\"Labase\")";
_base.Initialize(mostCurrent.activityBA,"Labase");
 //BA.debugLineNum = 97;BA.debugLine="Base.Visible = True";
_base.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 98;BA.debugLine="Base.SendToBack";
_base.SendToBack();
 //BA.debugLineNum = 99;BA.debugLine="Base.Tag = z";
_base.setTag((Object)(_z));
 //BA.debugLineNum = 100;BA.debugLine="Base.Color = Colors.Blue";
_base.setColor(anywheresoftware.b4a.keywords.Common.Colors.Blue);
 //BA.debugLineNum = 101;BA.debugLine="Activity.AddView(Base,(0dip + (z-1) * (2*Lbl1.Width-5*Lbl1.Height)), 0Dip, (2*Lbl1.Width-5*Lbl1.Height), 4*Lbl1.Height)";
mostCurrent._activity.AddView((android.view.View)(_base.getObject()),(int) ((anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0))+(_z-1)*(2*mostCurrent._lbl1.getWidth()-5*mostCurrent._lbl1.getHeight()))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),(int) ((2*mostCurrent._lbl1.getWidth()-5*mostCurrent._lbl1.getHeight())),(int) (4*mostCurrent._lbl1.getHeight()));
 }
};
 //BA.debugLineNum = 103;BA.debugLine="Lista = Mlist(0)";
mostCurrent._lista = mostCurrent._mlist[(int) (0)];
 //BA.debugLineNum = 104;BA.debugLine="mm = 0";
_mm = (int) (0);
 //BA.debugLineNum = 105;BA.debugLine="CreaLio";
_crealio();
 //BA.debugLineNum = 106;BA.debugLine="End Sub";
return "";
}
public static String  _crealio() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _lio = null;
 //BA.debugLineNum = 128;BA.debugLine="Sub CreaLio";
 //BA.debugLineNum = 129;BA.debugLine="qq = Activity.NumberOfViews : BV = qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 129;BA.debugLine="qq = Activity.NumberOfViews : BV = qq";
_bv = _qq;
 //BA.debugLineNum = 130;BA.debugLine="For x = 1 To 3";
{
final int step94 = 1;
final int limit94 = (int) (3);
for (_x = (int) (1); (step94 > 0 && _x <= limit94) || (step94 < 0 && _x >= limit94); _x = ((int)(0 + _x + step94))) {
 //BA.debugLineNum = 131;BA.debugLine="Dim Lio As Label";
_lio = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 132;BA.debugLine="Lio.Initialize(\"Labelio\")";
_lio.Initialize(mostCurrent.activityBA,"Labelio");
 //BA.debugLineNum = 133;BA.debugLine="Lio.Visible = True";
_lio.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 134;BA.debugLine="Lio.Color = Colors.White";
_lio.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 135;BA.debugLine="Lio.TextColor = Colors.Black";
_lio.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 136;BA.debugLine="Lio.TextSize = Lbl1.TextSize+2";
_lio.setTextSize((float) (mostCurrent._lbl1.getTextSize()+2));
 //BA.debugLineNum = 137;BA.debugLine="Lio.Typeface = Typeface.DEFAULT_BOLD";
_lio.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 //BA.debugLineNum = 138;BA.debugLine="Lio.Gravity = Gravity.CENTER_VERTICAL";
_lio.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 139;BA.debugLine="Lio.Gravity = Gravity.CENTER_HORIZONTAL";
_lio.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL);
 //BA.debugLineNum = 140;BA.debugLine="Lio.Tag = x + mm";
_lio.setTag((Object)(_x+_mm));
 //BA.debugLineNum = 141;BA.debugLine="Activity.AddView(Lio,(Lbl1.Height-3dip) + (x-1) * (Lbl1.Width + 5dip), Lbl1.Height+6dip, Lbl1.Width,Lbl1.Height*2)  '(5*Lbl1.Height/2))";
mostCurrent._activity.AddView((android.view.View)(_lio.getObject()),(int) ((mostCurrent._lbl1.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)))+(_x-1)*(mostCurrent._lbl1.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)))),(int) (mostCurrent._lbl1.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (6))),mostCurrent._lbl1.getWidth(),(int) (mostCurrent._lbl1.getHeight()*2));
 //BA.debugLineNum = 142;BA.debugLine="Tx = (Lista).IndexOf(\",\")";
_tx = (mostCurrent._lista).indexOf(",");
 //BA.debugLineNum = 143;BA.debugLine="Lio.text = Lista.SubString2(0, Tx)";
_lio.setText((Object)(mostCurrent._lista.substring((int) (0),_tx)));
 //BA.debugLineNum = 144;BA.debugLine="Nlist = Lista.SubString2(Tx+1, Lista.Length) '(remaining Lista string)";
mostCurrent._nlist = mostCurrent._lista.substring((int) (_tx+1),mostCurrent._lista.length());
 //BA.debugLineNum = 145;BA.debugLine="Lista = Nlist";
mostCurrent._lista = mostCurrent._nlist;
 }
};
 //BA.debugLineNum = 147;BA.debugLine="ListN = Nlist";
mostCurrent._listn = mostCurrent._nlist;
 //BA.debugLineNum = 148;BA.debugLine="qq = Activity.NumberOfViews : LN = qq-1";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 148;BA.debugLine="qq = Activity.NumberOfViews : LN = qq-1";
_ln = (int) (_qq-1);
 //BA.debugLineNum = 149;BA.debugLine="End Sub";
return "";
}
public static String  _creamenu() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _l1 = null;
anywheresoftware.b4a.objects.PanelWrapper _pan1 = null;
 //BA.debugLineNum = 161;BA.debugLine="Sub Creamenu";
 //BA.debugLineNum = 162;BA.debugLine="ListM = Mlist(k)";
mostCurrent._listm = mostCurrent._mlist[_k];
 //BA.debugLineNum = 163;BA.debugLine="qq = Activity.NumberOfViews : BV = qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 163;BA.debugLine="qq = Activity.NumberOfViews : BV = qq";
_bv = _qq;
 //BA.debugLineNum = 164;BA.debugLine="For y = 1 To No(k)";
{
final int step128 = 1;
final int limit128 = _no[_k];
for (_y = (int) (1); (step128 > 0 && _y <= limit128) || (step128 < 0 && _y >= limit128); _y = ((int)(0 + _y + step128))) {
 //BA.debugLineNum = 165;BA.debugLine="Dim L1 As Label";
_l1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 166;BA.debugLine="L1.Initialize(\"Labmen\")";
_l1.Initialize(mostCurrent.activityBA,"Labmen");
 //BA.debugLineNum = 167;BA.debugLine="L1.Visible = True";
_l1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 168;BA.debugLine="L1.Color = Colors.Cyan";
_l1.setColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 169;BA.debugLine="L1.TextColor = Colors.Black";
_l1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 170;BA.debugLine="L1.Typeface = Typeface.DEFAULT_BOLD";
_l1.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 //BA.debugLineNum = 171;BA.debugLine="L1.Gravity = Gravity.CENTER_HORIZONTAL";
_l1.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL);
 //BA.debugLineNum = 172;BA.debugLine="L1.Gravity = Gravity.CENTER_VERTICAL";
_l1.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 173;BA.debugLine="L1.TextSize = Lbl1.TextSize";
_l1.setTextSize(mostCurrent._lbl1.getTextSize());
 //BA.debugLineNum = 174;BA.debugLine="Activity.AddView(L1, LL, (Lbl1.Height*2) + y*(Lbl1.Height*2), Lbl1.Width, (Lbl1.Height*2))";
mostCurrent._activity.AddView((android.view.View)(_l1.getObject()),_ll,(int) ((mostCurrent._lbl1.getHeight()*2)+_y*(mostCurrent._lbl1.getHeight()*2)),mostCurrent._lbl1.getWidth(),(int) ((mostCurrent._lbl1.getHeight()*2)));
 //BA.debugLineNum = 175;BA.debugLine="Tx = (ListM).IndexOf(\",\")";
_tx = (mostCurrent._listm).indexOf(",");
 //BA.debugLineNum = 176;BA.debugLine="LG = ListM.SubString2(0, Tx)";
mostCurrent._lg = mostCurrent._listm.substring((int) (0),_tx);
 //BA.debugLineNum = 177;BA.debugLine="listP = ListM.SubString2(Tx+1, ListM.Length) '(remaining Lista string)";
mostCurrent._listp = mostCurrent._listm.substring((int) (_tx+1),mostCurrent._listm.length());
 //BA.debugLineNum = 178;BA.debugLine="ListM = listP";
mostCurrent._listm = mostCurrent._listp;
 //BA.debugLineNum = 179;BA.debugLine="L1.Text = LG : Li(y) = LG";
_l1.setText((Object)(mostCurrent._lg));
 //BA.debugLineNum = 179;BA.debugLine="L1.Text = LG : Li(y) = LG";
mostCurrent._li[_y] = mostCurrent._lg;
 }
};
 //BA.debugLineNum = 182;BA.debugLine="Dim Pan1 As Panel";
_pan1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 183;BA.debugLine="Pan1.Initialize(\"PanMen\")";
_pan1.Initialize(mostCurrent.activityBA,"PanMen");
 //BA.debugLineNum = 184;BA.debugLine="Pan1.Enabled = True";
_pan1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 185;BA.debugLine="Pan1.Visible = True";
_pan1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 186;BA.debugLine="Pan1.Color = Colors.Transparent";
_pan1.setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
 //BA.debugLineNum = 187;BA.debugLine="Pan1.BringToFront";
_pan1.BringToFront();
 //BA.debugLineNum = 188;BA.debugLine="Activity.AddView(Pan1,LL, 4*Lbl1.Height, Lbl1.Width, (2*Lbl1.Height) * No(k))";
mostCurrent._activity.AddView((android.view.View)(_pan1.getObject()),_ll,(int) (4*mostCurrent._lbl1.getHeight()),mostCurrent._lbl1.getWidth(),(int) ((2*mostCurrent._lbl1.getHeight())*_no[_k]));
 //BA.debugLineNum = 189;BA.debugLine="VM = True";
_vm = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 190;BA.debugLine="End Sub";
return "";
}
public static String  _creaweb() throws Exception{
anywheresoftware.b4a.objects.WebViewWrapper _w2 = null;
 //BA.debugLineNum = 225;BA.debugLine="Sub CreaWeb";
 //BA.debugLineNum = 226;BA.debugLine="Dim W2 As WebView";
_w2 = new anywheresoftware.b4a.objects.WebViewWrapper();
 //BA.debugLineNum = 227;BA.debugLine="W2.Initialize(\"WebView\")";
_w2.Initialize(mostCurrent.activityBA,"WebView");
 //BA.debugLineNum = 228;BA.debugLine="W2.Visible = True";
_w2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 229;BA.debugLine="W2.Color = Colors.LightGray";
_w2.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 //BA.debugLineNum = 230;BA.debugLine="Activity.AddView(W2, Lbl1.Height+4dip, Lbl1.Height*4,Lbl1.Width*3,Lbl1.Height*40)";
mostCurrent._activity.AddView((android.view.View)(_w2.getObject()),(int) (mostCurrent._lbl1.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (4))),(int) (mostCurrent._lbl1.getHeight()*4),(int) (mostCurrent._lbl1.getWidth()*3),(int) (mostCurrent._lbl1.getHeight()*40));
 //BA.debugLineNum = 231;BA.debugLine="WVx.addJavascriptInterface(W2,\"B4A\")";
mostCurrent._wvx.addJavascriptInterface(mostCurrent.activityBA,(android.webkit.WebView)(_w2.getObject()),"B4A");
 //BA.debugLineNum = 232;BA.debugLine="WVx.addWebChromeClient(W2, \"\")";
mostCurrent._wvx.addWebChromeClient(mostCurrent.activityBA,(android.webkit.WebView)(_w2.getObject()),"");
 //BA.debugLineNum = 233;BA.debugLine="WVx.pageDown(W2,True)";
mostCurrent._wvx.pageDown((android.webkit.WebView)(_w2.getObject()),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 234;BA.debugLine="WVx.pageUp(W2,True)";
mostCurrent._wvx.pageUp((android.webkit.WebView)(_w2.getObject()),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 235;BA.debugLine="s = File.GetText(File.DirAssets,(\"Dat\" & Lbl1.Text & \".html\"))  '\"Dat13.html\")";
mostCurrent._s = anywheresoftware.b4a.keywords.Common.File.GetText(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),("Dat"+mostCurrent._lbl1.getText()+".html"));
 //BA.debugLineNum = 236;BA.debugLine="W2.LoadHtml(s)";
_w2.LoadHtml(mostCurrent._s);
 //BA.debugLineNum = 237;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Private Lbl1 As Label";
mostCurrent._lbl1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim Mlist(10)";
mostCurrent._mlist = new String[(int) (10)];
java.util.Arrays.fill(mostCurrent._mlist,"");
 //BA.debugLineNum = 28;BA.debugLine="Dim Li(10)";
mostCurrent._li = new String[(int) (10)];
java.util.Arrays.fill(mostCurrent._li,"");
 //BA.debugLineNum = 29;BA.debugLine="Dim Labelio As Label";
mostCurrent._labelio = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim ChoLab As Label";
mostCurrent._cholab = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim Labase As Label";
mostCurrent._labase = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim Labmen As Label";
mostCurrent._labmen = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim Labshow As Label";
mostCurrent._labshow = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim PanMen As Panel";
mostCurrent._panmen = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim WVx As WebViewExtras";
mostCurrent._wvx = new uk.co.martinpearman.b4a.webviewextras.WebViewExtras();
 //BA.debugLineNum = 37;BA.debugLine="Private Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Private ImageView1 As ImageView";
mostCurrent._imageview1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 40;BA.debugLine="Dim H As Int";
_h = 0;
 //BA.debugLineNum = 41;BA.debugLine="Dim VM  As Boolean";
_vm = false;
 //BA.debugLineNum = 42;BA.debugLine="Dim No(10) As Int";
_no = new int[(int) (10)];
;
 //BA.debugLineNum = 43;BA.debugLine="Dim x, y, MeNo, t, KY, k, D As Int";
_x = 0;
_y = 0;
_meno = 0;
_t = 0;
_ky = 0;
_k = 0;
_d = 0;
 //BA.debugLineNum = 44;BA.debugLine="Dim LG, Lista, Nlist As String";
mostCurrent._lg = "";
mostCurrent._lista = "";
mostCurrent._nlist = "";
 //BA.debugLineNum = 45;BA.debugLine="Dim ListM, listP As String";
mostCurrent._listm = "";
mostCurrent._listp = "";
 //BA.debugLineNum = 46;BA.debugLine="Dim Tx, LL, KX, KO As Int";
_tx = 0;
_ll = 0;
_kx = 0;
_ko = 0;
 //BA.debugLineNum = 47;BA.debugLine="Dim qq, BV, LN As Int";
_qq = 0;
_bv = 0;
_ln = 0;
 //BA.debugLineNum = 48;BA.debugLine="Dim Mn, n, m As Int";
_mn = 0;
_n = 0;
_m = 0;
 //BA.debugLineNum = 49;BA.debugLine="Dim mm As Int";
_mm = 0;
 //BA.debugLineNum = 50;BA.debugLine="Dim s, ListN As String";
mostCurrent._s = "";
mostCurrent._listn = "";
 //BA.debugLineNum = 51;BA.debugLine="Dim Ch As Object";
mostCurrent._ch = new Object();
 //BA.debugLineNum = 52;BA.debugLine="End Sub";
return "";
}
public static String  _labase_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _base = null;
 //BA.debugLineNum = 107;BA.debugLine="Sub Labase_Click";
 //BA.debugLineNum = 108;BA.debugLine="If VM = True Then Return";
if (_vm==anywheresoftware.b4a.keywords.Common.True) { 
if (true) return "";};
 //BA.debugLineNum = 109;BA.debugLine="Dim Base As Label";
_base = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 110;BA.debugLine="Base.Initialize(\"Labase\")";
_base.Initialize(mostCurrent.activityBA,"Labase");
 //BA.debugLineNum = 111;BA.debugLine="Base = Sender";
_base.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 112;BA.debugLine="Ch = Base.Tag";
mostCurrent._ch = _base.getTag();
 //BA.debugLineNum = 113;BA.debugLine="If Ch = 1 Then";
if ((mostCurrent._ch).equals((Object)(1))) { 
 //BA.debugLineNum = 114;BA.debugLine="If mm < 6 Then";
if (_mm<6) { 
 //BA.debugLineNum = 115;BA.debugLine="mm = mm + 3";
_mm = (int) (_mm+3);
 //BA.debugLineNum = 116;BA.debugLine="Lista = ListN";
mostCurrent._lista = mostCurrent._listn;
 }else {
 //BA.debugLineNum = 118;BA.debugLine="Return";
if (true) return "";
 };
 }else {
 //BA.debugLineNum = 121;BA.debugLine="mm = 0";
_mm = (int) (0);
 //BA.debugLineNum = 122;BA.debugLine="Lista = Mlist(0)";
mostCurrent._lista = mostCurrent._mlist[(int) (0)];
 };
 //BA.debugLineNum = 124;BA.debugLine="ClearList";
_clearlist();
 //BA.debugLineNum = 125;BA.debugLine="CreaLio";
_crealio();
 //BA.debugLineNum = 126;BA.debugLine="End Sub";
return "";
}
public static String  _labelio_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _lio = null;
 //BA.debugLineNum = 151;BA.debugLine="Sub Labelio_Click";
 //BA.debugLineNum = 152;BA.debugLine="If VM = True Then Return";
if (_vm==anywheresoftware.b4a.keywords.Common.True) { 
if (true) return "";};
 //BA.debugLineNum = 153;BA.debugLine="Dim Lio As Label";
_lio = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 154;BA.debugLine="Lio.Initialize(\"Labelio\")";
_lio.Initialize(mostCurrent.activityBA,"Labelio");
 //BA.debugLineNum = 155;BA.debugLine="Lio = Sender";
_lio.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 156;BA.debugLine="k = Lio.Tag";
_k = (int)(BA.ObjectToNumber(_lio.getTag()));
 //BA.debugLineNum = 157;BA.debugLine="LL = Lio.Left";
_ll = _lio.getLeft();
 //BA.debugLineNum = 158;BA.debugLine="Creamenu";
_creamenu();
 //BA.debugLineNum = 159;BA.debugLine="End Sub";
return "";
}
public static String  _panmen_touch(int _action,float _o,float _v) throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _sellab = null;
 //BA.debugLineNum = 192;BA.debugLine="Sub PanMen_Touch (Action As Int, O As Float, V As Float)";
 //BA.debugLineNum = 193;BA.debugLine="If Action = Activity.ACTION_DOWN Then";
if (_action==mostCurrent._activity.ACTION_DOWN) { 
 //BA.debugLineNum = 194;BA.debugLine="KY = Round(V)";
_ky = (int) (anywheresoftware.b4a.keywords.Common.Round(_v));
 };
 //BA.debugLineNum = 196;BA.debugLine="Select Case True";
switch (BA.switchObjectToInt(anywheresoftware.b4a.keywords.Common.True,_ky<(_d*1),_ky<(_d*2),_ky<(_d*3),_ky<(_d*4),_ky<(_d*5),_ky<(_d*6),_ky<(_d*7))) {
case 0:
 //BA.debugLineNum = 197;BA.debugLine="Case KY < (D*1) : t = 1";
_t = (int) (1);
 break;
case 1:
 //BA.debugLineNum = 198;BA.debugLine="Case KY < (D*2) : t = 2";
_t = (int) (2);
 break;
case 2:
 //BA.debugLineNum = 199;BA.debugLine="Case KY < (D*3) : t = 3";
_t = (int) (3);
 break;
case 3:
 //BA.debugLineNum = 200;BA.debugLine="Case KY < (D*4) : t = 4";
_t = (int) (4);
 break;
case 4:
 //BA.debugLineNum = 201;BA.debugLine="Case KY < (D*5) : t = 5";
_t = (int) (5);
 break;
case 5:
 //BA.debugLineNum = 202;BA.debugLine="Case KY < (D*6) : t = 6";
_t = (int) (6);
 break;
case 6:
 //BA.debugLineNum = 203;BA.debugLine="Case KY < (D*7) : t = 7";
_t = (int) (7);
 break;
}
;
 //BA.debugLineNum = 205;BA.debugLine="ClearList";
_clearlist();
 //BA.debugLineNum = 206;BA.debugLine="Dim SelLab As Label";
_sellab = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 207;BA.debugLine="SelLab.Initialize(\"ChoLab\")";
_sellab.Initialize(mostCurrent.activityBA,"ChoLab");
 //BA.debugLineNum = 208;BA.debugLine="SelLab.Color = Colors.White";
_sellab.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 209;BA.debugLine="SelLab.Textcolor = Colors.Red";
_sellab.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 210;BA.debugLine="SelLab.TextSize = Lbl1.TextSize";
_sellab.setTextSize(mostCurrent._lbl1.getTextSize());
 //BA.debugLineNum = 211;BA.debugLine="SelLab.Typeface = Typeface.DEFAULT_BOLD";
_sellab.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 //BA.debugLineNum = 212;BA.debugLine="SelLab.Gravity = Gravity.CENTER_HORIZONTAL";
_sellab.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL);
 //BA.debugLineNum = 213;BA.debugLine="SelLab.Gravity = Gravity.CENTER_VERTICAL";
_sellab.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 214;BA.debugLine="SelLab.BringToFront";
_sellab.BringToFront();
 //BA.debugLineNum = 215;BA.debugLine="SelLab.Visible = True";
_sellab.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 216;BA.debugLine="Activity.AddView(SelLab,LL, Lbl1.Height+6Dip, Lbl1.Width, (Lbl1.Height*2))";
mostCurrent._activity.AddView((android.view.View)(_sellab.getObject()),_ll,(int) (mostCurrent._lbl1.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (6))),mostCurrent._lbl1.getWidth(),(int) ((mostCurrent._lbl1.getHeight()*2)));
 //BA.debugLineNum = 217;BA.debugLine="SelLab.Text = Li(t) : Lbl1.Text = k & t";
_sellab.setText((Object)(mostCurrent._li[_t]));
 //BA.debugLineNum = 217;BA.debugLine="SelLab.Text = Li(t) : Lbl1.Text = k & t";
mostCurrent._lbl1.setText((Object)(BA.NumberToString(_k)+BA.NumberToString(_t)));
 //BA.debugLineNum = 218;BA.debugLine="If SelLab.Text = \"        Cancel\" Then";
if ((_sellab.getText()).equals("        Cancel")) { 
 //BA.debugLineNum = 219;BA.debugLine="ChoLab_Click";
_cholab_click();
 //BA.debugLineNum = 220;BA.debugLine="Lbl1.Text = \"\"";
mostCurrent._lbl1.setText((Object)(""));
 };
 //BA.debugLineNum = 222;BA.debugLine="If SelLab.Text <> \"        Cancel\" Then CreaWeb";
if ((_sellab.getText()).equals("        Cancel") == false) { 
_creaweb();};
 //BA.debugLineNum = 223;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
}
